SpyBara
Go Premium

resources/skills/methods/create/index.md 2026-05-02 05:57 UTC to 2026-05-05 23:00 UTC

76 added, 0 removed.

2026
Wed 27 06:42 Fri 22 06:33 Wed 20 06:35 Tue 19 06:34 Mon 18 22:01 Mon 11 18:00 Thu 7 21:57 Tue 5 23:00 Sat 2 05:57
Data Information:
  • After 2026-05-05 06:03 UTC, this monitor no longer uses markdownified HTML/MDX. Comparisons across that boundary can therefore show more extensive diffs.

Create a new skill.

post /skills

Create a new skill.

Body Parameters

  • files: array of string or string

    Skill files to upload (directory upload) or a single zip file.

    • array of string

      Skill files to upload (directory upload) or a single zip file.

    • string

      Skill zip file to upload.

Returns

  • Skill object { id, created_at, default_version, 4 more }

    • id: string

      Unique identifier for the skill.

    • created_at: number

      Unix timestamp (seconds) for when the skill was created.

    • default_version: string

      Default version for the skill.

    • description: string

      Description of the skill.

    • latest_version: string

      Latest version for the skill.

    • name: string

      Name of the skill.

    • object: "skill"

      The object type, which is skill.

      • "skill"

Example

curl https://api.openai.com/v1/skills \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F files='["Example data"]'

Response

{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}